- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# TAO::Portable_Server::POA_Current Class Reference

`#include <POA_Current.h>`

Inheritance diagram for TAO::Portable_Server::POA_Current:

[legend]
Collaboration diagram for TAO::Portable_Server::POA_Current:

[legend]
List of all members.

## Public Member Functions
PortableServer::POA_ptr | get_POA () throw (CORBA::SystemException, PortableServer::Current::NoContext)
PortableServer::ObjectId * | get_object_id () throw (CORBA::SystemException, PortableServer::Current::NoContext)
CORBA::Object_ptr | get_reference () throw (CORBA::SystemException, PortableServer::Current::NoContext)
PortableServer::Servant | get_servant () throw (CORBA::SystemException, PortableServer::Current::NoContext)
POA_Current_Impl * | implementation (void)
| Returns the class that implements this interface.
POA_Current_Impl * | implementation (POA_Current_Impl *new_current)

## Member Function Documentation

PortableServer::ObjectId * TAO::Portable_Server::POA_Current::get_object_id | ( |  | ) | throw (CORBA::SystemException, PortableServer::Current::NoContext)`[virtual]`

Returns the object id of the current request being invoked. Can raise the `NoContext` exception if this function is not invoked in the context of an upcall.

Implements PortableServer::Current.

PortableServer::POA_ptr TAO::Portable_Server::POA_Current::get_POA | ( |  | ) | throw (CORBA::SystemException, PortableServer::Current::NoContext)`[virtual]`

Returns the POA on which the current request is being invoked. Can raise the `NoContext` exception if this function is not invoked in the context of an upcall.

Implements PortableServer::Current.

CORBA::Object_ptr TAO::Portable_Server::POA_Current::get_reference | ( |  | ) | throw (CORBA::SystemException, PortableServer::Current::NoContext)`[virtual]`

This operation returns a locally manufactured reference to the object in the context of which it is called. If called outside the context of a POA dispatched operation, a NoContext exception is raised.

Note:
  This reference is not guaranteed to be identical to the original reference the client used to make the invocation, and calling the Object::is_equivalent operation to compare the two references may not necessarily return true.

Implements PortableServer::Current.

PortableServer::Servant TAO::Portable_Server::POA_Current::get_servant | ( |  | ) | throw (CORBA::SystemException, PortableServer::Current::NoContext)`[virtual]`

Returns a reference to the servant that hosts the object in whose context it is called. If called outside the context of the POA dispatched operation, a NoContext exception is raised

Implements PortableServer::Current.

POA_Current_Impl * TAO::Portable_Server::POA_Current::implementation | ( | POA_Current_Impl * | new_current | ) |

Sets the thread-specific pointer to the new POA Current state, returning a pointer to the existing POA Current state.

POA_Current_Impl * TAO::Portable_Server::POA_Current::implementation | ( | void |  | ) |

Returns the class that implements this interface.

The documentation for this class was generated from the following files:

- POA_Current.h
- POA_Current.cpp